POST /luma/generations_sync
Method: POSTEndpoint: /luma/generations_sync
This section contains endpoint-specific behavior, parameters, or usage notes for this API. This section contains endpoint-specific behavior, parameters, or usage notes for this API.
Request Parameters
Header Parameters
text
Authorization
string
Optional
Example:
Bearer {{YOUR_API_KEY}}Body Parameters application/json
text
user_prompt
string
Required
aspect_ratio
string
Optional
expand_prompt
boolean
Optional
Whether to enable prompt optimization
image_url
string
Optional
Reference image, supports third-party image URLs and Base64
image_end_url
string
Optional
Key frame, supports third-party image URLs and Base64
notify_hook
string
Optional
Callback URL:
https://xxxxxxx
Example
{
"user_prompt"
:
"string"
,
"aspect_ratio"
:
"string"
,
"expand_prompt"
:
true
,
"image_url"
:
"string"
,
"image_end_url"
:
"string"
,
"notify_hook"
:
"string"
}Example Request
Shell
bash
curl --location --request POST '/luma/generations_sync' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"user_prompt": "string",
"aspect_ratio": "string",
"expand_prompt": true,
"image_url": "string",
"image_end_url": "string",
"notify_hook": "string"
}'Response
🟢 200 Success
Content Type: application/json
Response Schema
text
objectExample
json
{
"id": "9d4b7516-77e5-481a-b015-48313946f33b",
"prompt": "cat dance",
"state": "pending",
"created_at": "2024-07-01T07:35:13.498660Z",
"video": null,
"liked": null,
"estimate_wait_seconds": null
}